Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAccessible.Action

    java.lang.Object
      java.lang.Enum<QAccessible.Action>
          com.trolltech.qt.gui.QAccessible.Action

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAccessible.Action>

Enclosing class:
  QAccessible

    public static enum QAccessible.Action

extends java.lang.Enum<QAccessible.Action>
implements QtEnumerator

This enum describes the possible types of action that can occur.

Enum Constant Summary
`Accept` Internal.
`AddToSelection` Internal.
`Cancel` Internal.
`ClearSelection` Internal.
`Decrease` Internal.
`DefaultAction` Internal.
`ExtendSelection` Internal.
`Increase` Internal.
`Press` Internal.
`RemoveSelection` Internal.
`Select` Internal.
`SetFocus` Internal.

Method Summary
`static QAccessible.Action` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAccessible.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DefaultAction

    public static final QAccessible.Action DefaultAction

  Internal.

### Press

    public static final QAccessible.Action Press

  Internal.

### SetFocus

    public static final QAccessible.Action SetFocus

  Internal.

### Increase

    public static final QAccessible.Action Increase

  Internal.

### Decrease

    public static final QAccessible.Action Decrease

  Internal.

### Accept

    public static final QAccessible.Action Accept

  Internal.

### Cancel

    public static final QAccessible.Action Cancel

  Internal.

### Select

    public static final QAccessible.Action Select

  Internal.

### ClearSelection

    public static final QAccessible.Action ClearSelection

  Internal.

### RemoveSelection

    public static final QAccessible.Action RemoveSelection

  Internal.

### ExtendSelection

    public static final QAccessible.Action ExtendSelection

  Internal.

### AddToSelection

    public static final QAccessible.Action AddToSelection

  Internal.

Method Detail

### values

    public static final QAccessible.Action[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAccessible.Action c : QAccessible.Action.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAccessible.Action valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Action resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD